Gantry::Conf::Provider(3)

NAME
Gantry::Conf::Provider - Base class for all Gantry::Conf providers

SYNOPSIS
    package Gantry::Conf::Provider::SomeNewProvider;
    use strict;
    use warnings;

    use base 'Gantry::Conf::Provider';

    use Carp;

    sub config {
        my $self    =   shift;
        my %config;

        # Retrieve your configuration here.
        # And return a hash ref

        return( \%config );

    }

DESCRIPTION

METHODS

SEE ALSO
Gantry(3), Gantry::Conf(3), Gantry::Conf::Tutorial(3), Ganty::Conf::FAQ(3)

AUTHOR
Frank Wiles <frank@revsys.com>

COPYRIGHT and LICENSE
Copyright (c) 2006, Frank Wiles.

This library is free software; you can redistribute it and/or modify it under the same terms as Perl itself, either Perl version 5.8.6 or, at your option, any later version of Perl 5 you may have available.